## bandit 0.1

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for simple A/B split test and multi-armed bandit
        analysis
Version: 0.1
Date: 2012-02-13
Author: Thomas Lotze
Maintainer: Thomas Lotze <thomaslotze@thomaslotze.com>
Description: A set of functions (intended to be used by the ruby gem
        metricizer) for doing basic analysis of A/B split test data.
License: GPL-3
Packaged: 2012-02-15 19:10:08 UTC; grockit
Repository: CRAN
Date/Publication: 2012-02-16 08:19:04

## bandit 0.3.0

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for simple A/B split test and multi-armed bandit
        analysis
Version: 0.3.0
Date: 2012-08-23
Depends: boot, gam
Author: Thomas Lotze
Maintainer: Thomas Lotze <thomaslotze@thomaslotze.com>
Description: A set of functions (intended to be used by the ruby gem
        metricizer) for doing basic analysis of A/B split test data and
        web metrics in general.
License: GPL-3
Packaged: 2012-10-25 15:39:48 UTC; lotze
Repository: CRAN
Date/Publication: 2012-10-31 18:52:02

## bandit 0.4.1

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for simple A/B split test and multi-armed bandit
        analysis
Version: 0.4.1
Date: 2013-07-07
Depends: boot, gam
Author: Thomas Lotze
Maintainer: Thomas Lotze <thomaslotze@thomaslotze.com>
Description: A set of functions (intended to be used by the ruby gem metricizer) for doing basic analysis of A/B split test data and web metrics in general.
License: GPL-3
Packaged: 2013-07-08 00:51:53 UTC; lotze
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-07-08 07:37:09

## bandit 0.4.2

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for simple A/B split test and multi-armed bandit
        analysis
Version: 0.4.2
Date: 2013-08-12
Depends: boot, gam (>= 1.09)
Author: Thomas Lotze
Maintainer: Thomas Lotze <thomaslotze@thomaslotze.com>
Description: A set of functions (intended to be used by the ruby gem metricizer) for doing basic analysis of A/B split test data and web metrics in general.
License: GPL-3
Packaged: 2013-08-13 23:21:43 UTC; lotze
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-08-14 07:29:05

## bandit 0.5.0

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for simple A/B split test and multi-armed bandit
        analysis
Version: 0.5.0
Date: 2014-05-03
Imports: boot, gam (>= 1.09)
Author: Thomas Lotze and Markus Loecher
Maintainer: Thomas Lotze <thomaslotze@thomaslotze.com>
Description: A set of functions for doing analysis of A/B split test data and web metrics in general.
License: GPL-3
Packaged: 2014-05-05 19:29:10 UTC; lotze
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-05-06 07:04:06

## bandit 0.5.1

=== DESCRIPTION ===
Package: bandit
Type: Package
Title: Functions for Simple a/B Split Test and Multi-Armed Bandit
        Analysis
Version: 0.5.1
Date: 2022-06-028
Imports: boot, gam (>= 1.09)
Author: Thomas Lotze and Markus Loecher
Maintainer: Markus Loecher <markus.loecher@gmail.com>
Description: A set of functions for doing analysis of A/B split test data and web metrics in general.
License: GPL-3
NeedsCompilation: no
Repository: CRAN
Packaged: 2022-06-28 16:06:35 UTC; loecherm
Date/Publication: 2022-06-29 11:20:12 UTC

## bandit 0.13.2

=== requirements.txt ===
appdirs>=1.3.0  # MIT License
PyYAML>=3.1.0
six>=1.9.0
stevedore>=1.5.0  # Apache 2.0

=== debian/changelog ===
bandit (0.13.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:04:08 +0000

bandit (0.13.2-2) experimental; urgency=medium

  * Adds Breask+Replaces to allow upgrades (Closes: #798457).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 11:02:58 +0000

bandit (0.13.2-1) experimental; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream release:
    - Use (& install) /etc/bandit/bandit.yaml config (Closes: #794072)
    - Improved description of subprocess finding report (Closes: #794084)
    - Fix Bad spacing in --help result (Closes: #794076)

  [ Thomas Goirand ]
  * Adds Ubuntu patch (Closes: #796394):
    - Update dependencies to align with upstream.
    - Run tests with output and fail the build if test failure.
  * Added Python 3 support (Closes: #794074).
  * Using debian/unstable as packaging branch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Aug 2015 15:31:18 +0000

bandit (0.12.0-1) unstable; urgency=low

  * Initial release (Closes: #793007).

 -- Dave Walker (Daviey) <email@daviey.com>  Wed, 22 Jul 2015 09:01:39 +0100

=== debian/control ===
Source: bandit
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Dave Walker (Daviey) <email@daviey.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-appdirs,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.9.2),
                     python-mock,
                     python-six (>= 1.9.0),
                     python-stevedore,
                     python-testscenarios,
                     python-testtools,
                     python-yaml,
                     python3-appdirs,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking (>= 0.9.2),
                     python3-mock,
                     python3-six (>= 1.9.0),
                     python3-stevedore,
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/bandit.git
Vcs-Git: git://anonscm.debian.org/openstack/bandit.git
Homepage: https://wiki.openstack.org/wiki/Security/Projects/Bandit

Package: python-bandit
Architecture: all
Breaks: bandit (<< 0.13)
Replaces: bandit (<< 0.13)
Depends: python-appdirs,
         python-six (>= 1.9.0),
         python-stevedore,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: Security oriented static analyzer for Python code - Python 2.7
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package contains the Python 2.7 module.

Package: python3-bandit
Architecture: all
Depends: python3-appdirs,
         python3-six (>= 1.9.0),
         python3-stevedore,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: Security oriented static analyzer for Python code - Python 3.x
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package contains the Python 3.x module.

Package: bandit
Architecture: all
Depends: python-bandit  (= ${binary:Version}) | python3-bandit  (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Security oriented static analyzer for Python code - Metapackage
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package is a metapackage to install the Python 2.7 or 3.x of bandit.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/bandit.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-bandit; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-bandit; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

	# Move the /usr/etc folder in the right place.
	install -D -m 0644 $(CURDIR)/bandit/config/bandit.yaml $(CURDIR)/debian/bandit/etc/bandit/bandit.yaml
	rm -rf debian/*/usr/lib/python*/*/bandit/config
	rm -rf debian/python*-bandit/usr/etc

	# Delete /usr/bandit fron python packages
	rmdir debian/python-bandit/usr/bandit
	rmdir debian/python3-bandit/usr/bandit

	# Move /usr/share/bandit to the bandit package
	mkdir -p debian/bandit/usr
	mv debian/python-bandit/usr/share debian/bandit/usr
	rm -rf debian/python3-bandit/usr/share

	# Manage /usr/bin/bandit alternatives
	mv $(CURDIR)/debian/python-bandit/usr/bin/bandit $(CURDIR)/debian/python-bandit/usr/bin/python2-bandit
	mv $(CURDIR)/debian/python3-bandit/usr/bin/bandit $(CURDIR)/debian/python3-bandit/usr/bin/python3-bandit

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/bandit/tags .*/(\d[\d\.]+)\.tar\.gz

## bandit 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
GitPython>=1.0.1 # BSD License (3 clause)
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0

=== debian/changelog ===
bandit (1.1.0-1+22~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 08:53:07 +0000

bandit (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 3.9.8 (no change).
  * Using OpenStack's Gerrit as VCS URLs.
  * debian/source/options: ignores egg-info and .gitreview.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Adding bandit, bandit-baseline and bandit-config-generator binary in
    debian/bin to have unit tests and config generation to work.
  * Generate the bandit.yaml using bandit-config-generator.
  * Do not run functional tests that are failing.
  * Do not attempt to install bandit.yaml (file gone upstream).
  * Fixed EPOCH for oslotest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 09:17:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,47 +6,53 @@
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-appdirs,
+Build-Depends-Indep: python-bs4,
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
+                     python-git (>= 2.0.2),
                      python-hacking (>= 0.9.2),
-                     python-mock,
+                     python-mock (>= 2.0),
+                     python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-reno,
                      python-six (>= 1.9.0),
-                     python-stevedore,
+                     python-stevedore (>= 1.16.0),
                      python-testscenarios,
-                     python-testtools,
+                     python-testtools (>= 1.4.0),
                      python-yaml,
-                     python3-appdirs,
+                     python3-bs4,
                      python3-fixtures (>= 1.3.1),
+                     python3-git (>= 2.0.2),
                      python3-hacking (>= 0.9.2),
-                     python3-mock,
+                     python3-mock (>= 2.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore,
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-testscenarios,
-                     python3-testtools,
+                     python3-testtools (>= 1.4.0),
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/bandit.git
-Vcs-Git: git://anonscm.debian.org/openstack/bandit.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-bandit
+Vcs-Git: https://git.openstack.org/openstack/deb-bandit
 Homepage: https://wiki.openstack.org/wiki/Security/Projects/Bandit
 
 Package: python-bandit
 Architecture: all
 Breaks: bandit (<< 0.13)
 Replaces: bandit (<< 0.13)
-Depends: python-appdirs,
+Depends: python-git (>= 2.0.2),
          python-six (>= 1.9.0),
-         python-stevedore,
+         python-stevedore (>= 1.16.0),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
@@ -60,9 +66,9 @@
 
 Package: python3-bandit
 Architecture: all
-Depends: python3-appdirs,
+Depends: python3-git (>= 2.0.2),
          python3-six (>= 1.9.0),
-         python3-stevedore,
+         python3-stevedore (>= 1.16.0),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},

## bandit 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
GitPython>=1.0.1 # BSD License (3 clause)
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
bandit (1.4.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild against python3.6

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 17:52:11 -0400

bandit (1.4.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * Fixed (build-)depends for this release.
  * d/patches/remove-failing-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 14:42:37 -0500

bandit (1.1.0-3) unstable; urgency=medium

  * Add remove failing tests patch (Closes: #841631).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Oct 2016 09:41:01 +0100

bandit (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:32:43 +0200

=== debian/control ===
Source: bandit
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Dave Walker (Daviey) <email@daviey.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-bs4,
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-git (>= 1.0.1),
                     python-hacking (>= 0.10),
                     python-mock (>= 2.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-reno,
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-stevedore (>= 1.17.1),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.10.0),
                     python3-bs4,
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-git (>= 1.0.1),
                     python3-hacking (>= 0.10),
                     python3-mock (>= 2.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/bandit
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/bandit
Homepage: https://wiki.openstack.org/wiki/Security/Projects/Bandit

Package: python-bandit
Architecture: all
Breaks: bandit (<< 0.13)
Replaces: bandit (<< 0.13)
Depends: python-git (>= 2.0.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: Security oriented static analyzer for Python code - Python 2.7
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package contains the Python 2.7 module.

Package: python3-bandit
Architecture: all
Depends: python3-git (>= 2.0.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: Security oriented static analyzer for Python code - Python 3.x
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package contains the Python 3.x module.

Package: bandit
Architecture: all
Depends: python-bandit  (= ${binary:Version}) | python3-bandit  (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Security oriented static analyzer for Python code - Metapackage
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package is a metapackage to install the Python 2.7 or 3.x of bandit.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/bandit.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

	# Generate the config file
	mkdir -p $(CURDIR)/debian/bandit/etc/bandit
	PYTHONPATH=$(CURDIR)/debian/python-bandit/usr/lib/python2.7/dist-packages PATH=$$PATH:$(CURDIR)/debian/bin bandit-config-generator -o $(CURDIR)/debian/bandit/etc/bandit/bandit.yaml

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:$(CURDIR)/debian/bin pkgos-dh_auto_test 'tests\.(?!(.*unit\.cli\.test_baseline\.BanditBaselineToolTests\.test_bandit_baseline.*|.*functional\.test_runtime.*|.*functional\.test_baseline.*))'
endif

## bandit 1.5.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
GitPython>=1.0.1 # BSD License (3 clause)
PyYAML>=3.12 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinx-rtd-theme>=0.3.0

=== debian/changelog ===
bandit (1.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 17:59:48 +0200

bandit (1.5.1-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 23:08:46 +0100

bandit (1.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * New upstream version 1.5.1
  * d/control, d/watch: New upstream URL.
  * d/patches: Remove patch. Not needed anymore.

  [ Thomas Goirand ]
  * Fixed upstream VCS URL in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Sep 2018 07:07:04 +0000

bandit (1.1.0-5) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix order of d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 13:01:38 +0000

bandit (1.1.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use correct branch in Vcs-* fields
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Updating vcs fields.
  * Updating copyright format url.
  * d/copyright: Changed source URL to https protocol.
  * Ran wrap-and-sort -bast.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * Fixed python3 shebang to be python3, not python3.x.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 22:12:40 +0000

=== debian/control ===
Source: bandit
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Dave Walker (Daviey) <email@daviey.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 pylint,
 python3-bs4,
 python3-coverage,
 python3-fixtures,
 python3-git,
 python3-hacking,
 python3-mock,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/bandit
Vcs-Git: https://salsa.debian.org/openstack-team/libs/bandit.git
Homepage: https://github.com/PyCQA/bandit

Package: bandit
Architecture: all
Depends:
 python3-bandit (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Security oriented static analyzer for Python code - Metapackage
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package is a metapackage to install the Python 2.7 or 3.x of bandit.

Package: python3-bandit
Architecture: all
Depends:
 python3-git,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Security oriented static analyzer for Python code - Python 3.x
 Bandit is a tool designed to find common security issues in Python code. To
 do this Bandit processes each file, builds an Abstract Syntaxt Tree (AST),
 and runs appropriate plugins against the AST nodes.  Once Bandit has
 finished scanning all the files it generates a report.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/PyCQA/bandit
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

# We need this to have the binary when running tests
export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*unit\.cli\.test_baseline\.BanditBaselineToolTests\.test_bandit_baseline.*|.*functional\.test_runtime.*|.*functional\.test_baseline.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/bandit/etc/bandit
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages bandit-config-generator -o $(CURDIR)/debian/bandit/etc/bandit/bandit.yaml


override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## bandit 1.6.2

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 GitPython>=1.0.1 # BSD License (3 clause)
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
+colorama>=0.3.9;platform_system=="Windows" # BSD License (3 clause)

=== debian/changelog ===
bandit (1.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Blacklist more functional tests. (Closes: #952245)

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 12:57:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Dave Walker (Daviey) <email@daviey.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -26,7 +26,7 @@
  python3-stevedore,
  python3-testscenarios,
  python3-testtools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/bandit
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/bandit.git
 Homepage: https://github.com/PyCQA/bandit

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*unit\.cli\.test_baseline\.BanditBaselineToolTests\.test_bandit_baseline.*|.*functional\.test_runtime.*|.*functional\.test_baseline.*))'
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*unit\.cli\.test_baseline\.BanditBaselineToolTests\.test_bandit_baseline.*|.*functional\.test_runtime.*|.*functional\.test_baseline.*|.*functional\.test_functional\.FunctionalTests.*))'
 endif
 
 	# Generate the config file

## bandit 1.7.8

=== debian/changelog ===
bandit (1.7.8-1) unstable; urgency=medium

  * New upstream release.
    - supports pyproject.toml config (Closes: #1017704).
  * Removed (build-)depends on -six.
  * Drop use-yaml.safe_load.patch.
  * Add python3-rich and python3-sarif-python-om as (build-)depends.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2024 12:01:01 +0200

bandit (1.6.2-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044011).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:19:44 +0200

bandit (1.6.2-2) unstable; urgency=medium

  * Add use-yaml.safe_load.patch fixing FTBFS (Closes: #1026691).

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Dec 2022 16:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,11 @@
  python3-fixtures,
  python3-git,
  python3-hacking,
+ python3-jschema-to-python,
  python3-mock,
  python3-oslotest,
- python3-six,
+ python3-rich,
+ python3-sarif-python-om,
  python3-stestr,
  python3-stevedore,
  python3-testscenarios,
@@ -49,7 +51,9 @@
 Architecture: all
 Depends:
  python3-git,
- python3-six,
+ python3-jschema-to-python,
+ python3-rich,
+ python3-sarif-python-om,
  python3-stevedore,
  python3-yaml,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin
 
 override_dh_auto_clean:
-	rm -rf build
+	find . -iname '*.pyc' -delete || true
+	rm -rf build bandit.egg-info
 
 override_dh_auto_build:
 	echo "Do nothing..."

## bandit 1.7.10

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=4.0.0 # BSD
sphinx-rtd-theme>=0.3.0
sphinx-copybutton

=== debian/changelog ===
bandit (1.7.10-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090398).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:13:04 +0100

bandit (1.7.10-1) unstable; urgency=medium

  * New upstream release:
    - remove the use of crypt and telnetlib (Closes: #1084700).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 09:57:22 +0200

bandit (1.7.8-2) unstable; urgency=medium

  * Removed python3-mock from build-depends (Closes: #1072873).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 10:04:58 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-git,
  python3-hacking,
  python3-jschema-to-python,
- python3-mock,
  python3-oslotest,
  python3-rich,
  python3-sarif-python-om,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 # We need this to have the binary when running tests
 export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/PyCQA/bandit/tags .*/(\d[\d\.]+)\.tar\.gz
